Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-4803

Error in External Check Upgrade in 2.0rc2 Script for more than 1 parameter

    Details

    • Type: Incident report
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't fix
    • Affects Version/s: 2.0.0rc2
    • Fix Version/s: None
    • Component/s: Server (S)
    • Environment:
      debian 6.03, kernel 2.6.32 mysql 5.x

      Description

      During an upgrade from 1.8.2 to 2.0rc2 there was an error in the upgrade scripts for conversion of the external scripts checks.

      I have checks that have more than 1 parameter for the external check.

      The upgrade only deals with 0 or 1 parameter.

      Example.

      upgrade changed the check to

      sdidu-nxgen-read-config.php["

      {HOST.CONN}",1 "fset txmax"]

      should be

      sdidu-nxgen-read-config.php["{HOST.CONN}

      ",1 ,"fset txmax"]

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              pkhooper Patrick Hooper
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: